<!--
  ~ #%L
  ~ chvote-bo
  ~ %%
  ~ Copyright (C) 2016 - 2019 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<mat-card id="votingSiteConfigurationEdit" [class.read-only]="readOnly" *ngIf="ready">
  <mat-card-header>
    <mat-card-title>{{'parameters.voting-site-configuration.edit.title' | translate}}</mat-card-title>
    <mat-card-subtitle fxLayout="row" fxLayoutAlign="space-between">
      <span>{{'parameters.voting-site-configuration.edit.subtitle' | translate}}</span>
      <span *ngIf="!readOnly">{{'global.forms.fields.required' | translate}}</span>
    </mat-card-subtitle>
  </mat-card-header>

  <mat-card-content>
    <ng-container>

      <form [formGroup]="form" novalidate>

        <h2>{{'parameters.voting-site-configuration.default-languages'| translate}}</h2>
        <div fxLayout="row wrap" fxLayoutGap="25px">
          <mat-form-field fxFlex="50 0 200px">
            <mat-select formControlName="defaultLanguage" (selectionChange)="changeDefaultLang()"
                        placeholder="{{'parameters.voting-site-configuration.edit.form.fields.default-language.placeholder' | translate}}">
              <mat-option *ngFor="let lang of allPossibleLanguages" [value]="lang">
                {{ 'parameters.voting-site-configuration.language.' + lang | translate}}
              </mat-option>
            </mat-select>

            <mat-error>
              <default-errors [fieldName]="'defaultLanguage'" [form]="form"></default-errors>
            </mat-error>

          </mat-form-field>
        </div>


        <h2>{{'parameters.voting-site-configuration.available-languages'| translate}}</h2>
        <div id="site-languages">
          <div class="site-language" *ngFor="let lang of allPossibleLanguages">
            <mat-checkbox formControlName="{{lang}}" color="primary" id="{{'checkbox-' + lang}}">
              {{ 'parameters.voting-site-configuration.language.' + lang | translate}}
            </mat-checkbox>
          </div>
        </div>
      </form>

    </ng-container>
  </mat-card-content>
  <mat-card-actions *ngIf="!readOnly">
    <div fxLayout fxLayoutAlign="end">
      <button mat-raised-button id="saveButton" color="primary"
              (click)="save()">{{'global.actions.save' | translate | uppercase}}
      </button>
    </div>
  </mat-card-actions>
</mat-card>
